package com.bonus.canteen.core.supply.purchase.constants;

public enum DrpContractStatusEnum {
   WAIT_EFFECT(1, "待生效"),
   IN_PROGRESS(2, "履行中"),
   EXPIRED(3, "已失效"),
   CLOSED(4, "已终止");

   private final Integer key;
   private final String value;

   private DrpContractStatusEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static Integer getKey(String value) {
      DrpContractStatusEnum[] enums = values();
      DrpContractStatusEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpContractStatusEnum temp = var2[var4];
         if (temp.value().equals(value)) {
            return temp.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      DrpContractStatusEnum[] enums = values();
      DrpContractStatusEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpContractStatusEnum temp = var2[var4];
         if (temp.key().equals(key)) {
            return temp.value();
         }
      }

      return null;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }
}
